clang-tools 8.0.0

Classes | Namespaces | Functions
Diagnostics.h File Reference
`#include "Path.h"`
`#include "Protocol.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/StringSet.h"`
`#include <cassert>`
`#include <string>`
Include dependency graph for Diagnostics.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::ClangdDiagnosticOptions
struct | clang::clangd::DiagBase
| Contains basic information about a diagnostic. More...
struct | clang::clangd::Fix
| Represents a single fix-it that editor can apply to fix the error. More...
struct | clang::clangd::Note
| Represents a note for the diagnostic. More...
struct | clang::clangd::Diag
| A top-level diagnostic that may have Notes and Fixes. More...
class | clang::clangd::StoreDiags
| StoreDiags collects the diagnostics that can later be reported by clangd. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const DiagBase &D)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Fix &F)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Diag &D)
void | clang::clangd::toLSPDiags (const Diag &D, const URIForFile &File, const ClangdDiagnosticOptions &Opts, llvm::function_ref< void(clangd::Diagnostic, llvm::ArrayRef< Fix >)> OutFn)
| Conversion to LSP diagnostics. More...
CodeAction | clang::clangd::toCodeAction (const Fix &D, const URIForFile &File)
| Convert from Fix to LSP CodeAction. More...
int | clang::clangd::getSeverity (DiagnosticsEngine::Level L)
| Convert from clang diagnostic level to LSP severity. More...